Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1059049

Summary: CVE-2013-6483 CVE-2013-6482 CVE-2013-6481 CVE-2013-6487 CVE-2013-6485 CVE-2013-6484 CVE-2013-6489 CVE-2014-0020 CVE-2013-6477 CVE-2012-6152 CVE-2013-6478 CVE-2013-6479 CVE-2013-6490 pidgin: various flaws [fedora-all]
Product: [Fedora] Fedora Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: pidginAssignee: Stu Tomlinson <stu>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 20CC: itamar, jsynacek, stu
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: pidgin-2.10.9-1.fc19 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-06 03:48:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Huzaifa S. Sidhpurwala 2014-01-29 04:20:16 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

Comment 1 Huzaifa S. Sidhpurwala 2014-01-29 04:20:33 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1056473,1059049

Comment 2 Huzaifa S. Sidhpurwala 2014-01-29 04:21:00 UTC
Adding parent bug 1056479 (for CVE-2013-6477).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1059049,1056473,1056479

Comment 3 Huzaifa S. Sidhpurwala 2014-01-29 04:21:38 UTC
Adding parent bug 1056904 (for CVE-2013-6478).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1059049,1056473,1056479,1056904

Comment 4 Huzaifa S. Sidhpurwala 2014-01-29 04:22:15 UTC
Adding parent bug 1056907 (for CVE-2013-6479).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1059049,1056473,1056479,1056904,1056907

Comment 5 Huzaifa S. Sidhpurwala 2014-01-29 04:22:58 UTC
Adding parent bug 1056908 (for CVE-2013-6481).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1059049,1056473,1056479,1056904,1056907,1056908

Comment 6 Huzaifa S. Sidhpurwala 2014-01-29 04:23:35 UTC
Adding parent bug 1056913 (for CVE-2013-6482).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1059049,1056473,1056479,1056904,1056907,1056908,1056913

Comment 7 Huzaifa S. Sidhpurwala 2014-01-29 04:24:09 UTC
Adding parent bug 1056978 (for CVE-2013-6483).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1059049,1056473,1056479,1056904,1056907,1056908,1056913,1056978

Comment 8 Huzaifa S. Sidhpurwala 2014-01-29 04:24:45 UTC
Adding parent bug 1057481 (for CVE-2013-6484).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1059049,1056473,1056479,1056904,1056907,1056908,1056913,1056978,1057481

Comment 9 Huzaifa S. Sidhpurwala 2014-01-29 04:25:21 UTC
Adding parent bug 1057484 (for CVE-2013-6485).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1059049,1056473,1056479,1056904,1056907,1056908,1056913,1056978,1057481,1057484

Comment 10 Huzaifa S. Sidhpurwala 2014-01-29 04:25:56 UTC
Adding parent bug 1057489 (for CVE-2013-6487).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1059049,1056473,1056479,1056904,1056907,1056908,1056913,1056978,1057481,1057484,1057489

Comment 11 Huzaifa S. Sidhpurwala 2014-01-29 04:26:37 UTC
Adding parent bug 1057490 (for CVE-2013-6489).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1059049,1056473,1056479,1056904,1056907,1056908,1056913,1056978,1057481,1057484,1057489,1057490

Comment 12 Huzaifa S. Sidhpurwala 2014-01-29 04:27:11 UTC
Adding parent bug 1057498 (for CVE-2013-6490).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1059049,1056473,1056479,1056904,1056907,1056908,1056913,1056978,1057481,1057484,1057489,1057490,1057498

Comment 13 Huzaifa S. Sidhpurwala 2014-01-29 04:27:46 UTC
Adding parent bug 1057502 (for CVE-2014-0020).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1059049,1056473,1056479,1056904,1056907,1056908,1056913,1056978,1057481,1057484,1057489,1057490,1057498,1057502

Comment 14 Fedora Update System 2014-02-04 01:55:38 UTC
pidgin-2.10.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pidgin-2.10.9-1.fc19

Comment 15 Fedora Update System 2014-02-04 02:55:40 UTC
pidgin-2.10.9-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pidgin-2.10.9-1.fc20

Comment 16 Fedora Update System 2014-02-05 03:35:42 UTC
Package pidgin-2.10.9-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pidgin-2.10.9-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1999/pidgin-2.10.9-1.fc19
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2014-02-06 03:48:45 UTC
pidgin-2.10.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-02-14 07:58:18 UTC
pidgin-2.10.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.